//出厂
<template>
  <!-- 零星物资出厂作业页面 -->
  <div class="homeworkPath">
    <div class="top">
      <span class="text">出厂时间：</span>
      <el-date-picker v-model="startTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <span class="text1">至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
       <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
    </div>
    <dilTable v-bind.sync="option">      
    </dilTable>
  </div>
</template>

<script>
import { getCookie } from "@/utils/util.js";
import { sjTime } from "@/utils/sharedJsFile";
export default {
  name: "homeworkPath",
  data() {
    return {
      input: "",
      startTime: null,
      endTime: null,
      option: {
        // 表格请求数据的地址
        requestUrl: "",
      },
    };
  },
  created(){
      if(getCookie("orgCode") == "dagangadmin" || getCookie("orgCode") == "zidonghuabu"){
          this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=361&orderType=11"
      }else{
          this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=361&orderType=11&userId=" + getCookie("orgCode")
      }
  },
  methods: {
    onclick() {
       let startTime = null;
      let endTime = null;
      if(this.startTime){
        startTime = sjTime(this.startTime);
      }
      if(this.endTime){
        endTime = sjTime(this.endTime);
      }
      if(startTime && endTime){
        if(startTime < endTime){
          this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=361&orderType=11&startTime="+startTime+"&endTime="+endTime+"&i=" +new Date();
          }else{
          this.startTime = null;
          this.endTime = null;
          this.$message.warning('开始时间要比结束时间早')
        }
      }else{
        this.option.requestUrl = "/api/v1/tms/getLeaveFactoryResult?apiId=361&orderType=11&startTime="+startTime+"&endTime="+endTime+"&i=" +new Date();
        
      }  
    },
  },
};
</script>
<style lang='scss' scoped>
.homeworkPath {
  .top {
    padding: 1.25rem 1.875rem;
    .el-input{
      width: 20%;
    }
  }
}
</style>